## edbrowse 3.4.5

=== debian/changelog ===
edbrowse (3.4.5-0ubuntu2) natty; urgency=low

  * Add build-depend on libreadline-dev

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 29 Nov 2010 15:16:54 +0000

edbrowse (3.4.5-0ubuntu1) natty; urgency=low

  * New upstream release
  * Convert to source format 3.0
    - add debian/format/source
  * Update for xulrunner-2.0
    - update debian/control
    - add debian/patches/spidermonkey-2.0.patch for the JSNative changes
    - add debian/patches/series
  * Don't call the xulrunner binary to find libmozjs
    - update debian/edbrowse.sh
  * Pass -lcrypto and -lreadline to the linker
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 29 Nov 2010 12:06:07 +0000

edbrowse (3.4.1-1ubuntu2) maverick; urgency=low

  * SECURITY UPDATE: insecure library loading (LP: #650862)
    - debian/edbrowse.sh: use shell expansion to set LD_LIBRARY_PATH
    - CVE-2010-3349

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 29 Sep 2010 01:54:29 -0500

edbrowse (3.4.1-1ubuntu1) lucid; urgency=low

  * fix LP: #553052 - Port edbrowse to xulrunner-1.9.2
    + debian/control:
      - replace libmozjs-dev with xulrunner-dev
      - add build depends on pkg-config
      - add xulrunner-1.9.2 depends to edbrowse package
    + debian/rules:
      - get mozjs cflags and libs with pkgconfig
      - move edbrowse binary to edbrowse-real
      - install edbrowse wrapper script so we can set LD_LIBRARY_PATH
    + Add debian/edbrowse.sh as a wrapper so we can set LD_LIBRARY_PATH

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 02 Apr 2010 00:20:48 -0500

edbrowse (3.4.1-1) unstable; urgency=low

  * New upstream version (3.4.1).
  * debian/rules:
    - add "touch build-stamp" to build-stamp target.
    - modify clean target to use clean target in src/makefile.
    - remove debian/edbrowse.1 in clean target.
    - added "-lcurl" to linker flags.
  * debian/control:
    - added libcurl4-openssl-dev to Build-Depends
    - Standards Version 3.8.0. No changes required.

 -- Kapil Hari Paranjape <kapil@debian.org>  Sun, 01 Mar 2009 16:55:12 +0530

edbrowse (3.3.4-1) unstable; urgency=low

  * New upstream version (3.3.4).
   - Convert between iso8859-1 and utf-8 on the fly.
   - Support reading of pdf using pdftohtml.
   - French translation of html documentation.
   - Old html documentation renamed to usersguide.
   - Additional documentation on philosophy.
  * debian/control:
   - Changed homepage to sourcefource site.
   - Moved homepage from description to its own field.
   - Added "poppler-utils | xpdf-utils" to Recommends.
   - Added "www-browser", "mail-reader" and "editor" to Provides. 
   - Removed "XS-" from Vcs-Svn tag.
   - Standards-Version: 3.7.3
  * debian/docs: Added new documentation files
    from "doc/" subdirectory.
  * debian/watch: Updated to use sourceforge site.
  * debian/edbrowse.doc-base:
    - Changed name of upstream provided html documentation from
      "ebdoc.html" to "usersguide.html".
    - Changed section from "net" to "Network/Web Browsing".
  * debian/install: Compiled binary is now in "src/".

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed, 09 Apr 2008 18:55:23 +0530

edbrowse (3.3.1-1) unstable; urgency=low

  * New upstream version (3.3.1).
    - Messages have been internationalised.
    - Supports LANG environment variable.
    - Includes man page.
  * Incorporate upstream man page:
    - debian/rules: Add rule to install upstream man page.
    - debian/edbrowse.1: Not required. Removed.

 -- Kapil Hari Paranjape <kapil@debian.org>  Wed,  5 Dec 2007 10:39:04 +0530

edbrowse (3.2.1-2) unstable; urgency=low

  * debian/edbrowse.1:
    - Corrected author's address.
    - Put sourceforge as the upstream web address.
  * debian/watch: Added URL to track upstream versions.
  * debian/control: Added XS-Vcs-Svn tag.
  * debian/compat: Added this file instead of DH_COMPAT line in
    debian/rules.
  * debian/rules:
    - Commented out DH_COMPAT line
    - Added definition of LFLAGS to prevent stripping of compiled
      binary if "nostrip" is defined. Closes: #436780.

 -- Kapil Hari Paranjape <kapil@debian.org>  Thu,  9 Aug 2007 06:53:42 +0530

edbrowse (3.2.1-1) unstable; urgency=low

  * New upstream version (3.2.1). Closes: #421451.
    - can fetch and execute a local javascript file
      if required by local html file.
    - provide COPYING and CHANGES files.
  * debian/rules:
    - add CHANGES to dh_installchangelogs line.
    - add dh_installman entry to install the man page.
  * debian/copyright: updated to include the COPYING file.
  * debian/edbrowse.1: added a basic man page.

 -- Kapil Hari Paranjape <kapil@imsc.res.in>  Wed,  9 May 2007 07:33:04 +0530

edbrowse (3.1.2-1) unstable; urgency=low

  * New upstream version (3.1.2). Closes: #306486.
    - programs now written in C
    - support for javascript.
  * debian/control:
    - added Kapil Hari Paranjape to Uploaders.
    - Build-depends on "libssl-dev", "libmozjs-dev", "libpcre3-dev".
    - Standards-Version to 3.7.2. No changes required.
  * debian/rules:
    - add "noopt" feature.
    - set CFLAGS and LIBS.
    - Put $(MAKE) into the build rules.
  * debian/copyright: Edited to add the current copyright which
    is GPL with the exception for linking with OpenSSL.
  * debian/docs: added "README".
  * debian/examples: added "jsrt".

 -- Kapil Hari Paranjape <kapil@imsc.res.in>  Fri, 20 Oct 2006 10:47:30 +0530

edbrowse (1.5.17-2) unstable; urgency=low

  * debian/control:
    - Use Build-Depends-Indep and correctly depend on debhelper >= 4.
    - Update Stnadards-Version to 3.6.1.
  * debian/copyright: Fix dh_make boilerplate.

 -- Mario Lang <mlang@debian.org>  Sat,  1 Nov 2003 11:33:01 +0100

edbrowse (1.5.17-1) unstable; urgency=low

  * New upstream version
    - Fixes DFSG-incompatible copyright notice (Closes: Bug#211062).

 -- Mario Lang <mlang@debian.org>  Tue, 16 Sep 2003 15:39:02 +0200

edbrowse (1.5.0-1) unstable; urgency=low

  * Initial Release.


