=== debian/control ===
Source: edbrowse
Section: net
Priority: extra
Uploaders: Kapil Hari Paranjape <kapil@debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mario Lang <mlang@debian.org>
Build-Depends: debhelper (>> 4.0.0), libssl-dev (>= 0.9.8b), libpcre3-dev (>= 6.4), xulrunner-2.0-dev, pkg-config,
 libcurl4-openssl-dev (>= 7.18.2), libreadline-dev
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/edbrowse/
Homepage: http://edbrowse.sourceforge.net/
Standards-Version: 3.8.0

Package: edbrowse
Architecture: any
Depends: ${shlibs:Depends}, xulrunner-2.0-mozjs
Recommends: poppler-utils | xpdf-utils
Provides: editor, mail-reader, www-browser
Description: A /bin/ed-alike webbrowser written in C
 edbrowse is a reimplementation of /bin/ed, with some basic
 differences (it uses Perl regular expressions) with the ability to
 visit webpages and ftp sites. edbrowse performs basic transformations
 on the html source to produce a readable representation. edbrowse
 supports Forms, Frames, Netscape-style cookies, HTTPS
 connections and JavaScript.
