=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
# This line moved to debian/compat
#export DH_COMPAT=4

CFLAGS = -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
else
 CFLAGS += -O2
endif

# Correct upstream's variables for Debian names
CFLAGS += $(shell pkg-config --cflags mozilla-js)
LIBS = -lpcre -lssl -lcurl $(shell pkg-config --libs mozilla-js) -lcrypto -lreadline
# Avoid stripping binaries LFLAGS is upstream's name
# for additional linking flags!
LFLAGS = ""

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C src CFLAGS="$(CFLAGS)" LIBS="$(LIBS)" LFLAGS="$(LFLAGS)" edbrowse
	# minor fix required for upstream man page
	sed -e's;^\.\.\(.\);.\1;' -e's;^ \.;.;' < doc/man-edbrowse-debian.1 > debian/edbrowse.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/edbrowse.1
	$(MAKE) -C src clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	dh_install
	#chmod +x debian/edbrowse/usr/bin/edbrowse

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	mv debian/edbrowse/usr/bin/edbrowse debian/edbrowse/usr/bin/edbrowse-real
	cp debian/edbrowse.sh debian/edbrowse/usr/bin/edbrowse
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples
	dh_installman --language=C debian/edbrowse.1
	dh_installchangelogs -k CHANGES 
	dh_link
	dh_strip
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
