=== debian/watch ===
version=3
http://edbrowse.sourceforge.net/ \
	http://www.eklhad.net/linux/app/edbrowse-(.*).zip
