## edbrowse 3.4.8

=== debian/changelog ===
edbrowse (3.4.8-1) unstable; urgency=low

  * New upstream version (3.4.8). 
  * patches: removed

 -- Jean-Philippe Mengual <texou@accelibreinfo.eu>  Mon, 6 Nov 2011 18:30:02 +0200

edbrowse (3.4.7-1) unstable; urgency=low

  [ Jean-Philippe Mengual ]
  * New maintainer (Closes: #638297)
  * New upstream version (3.4.7). Closes: #598162, #631027, #506613
  * watch: Update.
  * copyright: Update.
  * compat: bump to 5.
  * control:
    - Updated the priority from optional to extra
    - Bump Standards-Version.
    - Change build-depends, so that it suits with the requirements of the new
    release.
    - Updated the dependencies
    - Updated the Homepage to suit with the new location of the project.
    - Updated the Description of the package.
  * rules: Rewrite using dh.
  * manpages: Install manpage.
  * source/format: Switch to quilt.
  * patches/makefile.patch: Add clean target.
  * patches/messages.patch: Fix typo.

  [ Samuel Thibault ]
  * Use libmozjs-dev's JavaScript support.
    - debian/control: Depend on libmozjs-dev instead of iceape-dev.
    - debian/rules: Fix paths to libmozjs.
    - debian/patches/libmozjs.patch: Fix upstream code to newer libmozjs API.


 -- Samuel Thibault <sthibault@debian.org>  Mon, 24 Oct 2011 02:42:53 +0200
