=== debian/control ===
Source: edbrowse
Section: net
Priority: extra
Uploaders: Kapil Hari Paranjape <kapil@debian.org>, Mario Lang <mlang@debian.org>, Gergely Nagy <algernon@balabit.hu>, Samuel Thibault <sthibault@debian.org>
Maintainer: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
Build-Depends: debhelper (>= 7.0.50), libssl-dev (>= 0.9.8b), libpcre3-dev (>= 6.4),
 libcurl4-openssl-dev (>= 7.18.2), libreadline6-dev (>= 6.2-2), libmozjs-dev
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/edbrowse/
Homepage: http://the-brannons.com/
Standards-Version: 3.9.2

Package: edbrowse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: poppler-utils | xpdf-utils
Provides: editor, mail-reader, www-browser
Description: /bin/ed-alike webbrowser written in C
 edbrowse is a reimplementation of /bin/ed, with some basic
 differences (it uses Perl regular expressions) with the ability to
 visit webpages and ftp sites. edbrowse performs basic transformations
 on the html source to produce a readable representation. edbrowse
 supports Forms, Frames, Netscape-style cookies, HTTPS
 connections and JavaScript.
