=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) -I/usr/include/mozjs -DXP_UNIX" LIBS="-lpcre -lssl -lmozjs -lcurl -lcrypto" JSLIB="-lmozjs" STATICLIBS="-lodbc -lpcre -lm -lmozjs -lcurl -lssl -lc -lcrypto -lpthread -lm -ldl -lrt" LFLAGS=""
	sed -e's;^\.\.\(.\);.\1;' -e's;^ \.;.;' < doc/man-edbrowse-debian.1 > debian/edbrowse.1

override_dh_auto_clean:
	dh_auto_clean 
	-rm -f debian/edbrowse.1

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGES
