=== debian/watch ===
version=3
http://the-brannons.com/ \
	http://the-brannons.com/edbrowse/edbrowse-(.*).zip
