## edbrowse 3.4.9

=== debian/changelog ===
edbrowse (3.4.9-1) unstable; urgency=low

  [ Sergey Romanov ]
  * Local build.
  * New upstream version (3.4.9).
  * Fix debian/watch regex to ignore development snapshots.
  * Revert to using SpiderMonkey 1.8.5 to fix FTBFS. (Closes: #707346)
    - debian/control: Depend on libmozjs185-dev instead of libmozjs-dev.
    - debian/rules: Drop path changes to libmozjs.
  * Update to debhelper 9.
    - debian/compat: bump to 9.
    - debian/control: Build-Depend on debhelper (>= 9).
    - debian/rules:
      o  Drop DEB_BUILD_HARDENING (handled by debhelper 9).
      o  Drop override_dh_installchangelogs (handled by debhelper 8).
  * Standards-Version 3.9.4:
    - debian/control: Bump Standards-Version.
    - debian/copyright: use format 1.0.
    - debian/lintian-overrides: upstream uses versionless GPL.
  * debian/control:
    - Canonicalize the Vcs field.
    - Drop versions from Build-Depends (satisfied by versions in squeeze).
    - Fold the Uploaders field.
  * debian/rules:
    - Stop patching man page (not needed anymore).
    - Simplify dh_auto_build call (as result of the libmozjs change above).

 -- Samuel Thibault <sthibault@debian.org>  Mon, 27 May 2013 01:10:14 +0200

edbrowse (3.4.8-2) unstable; urgency=low

  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * control: Bump Standards-Version to 3.9.3 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 23:45:27 +0200
