=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: edbrowse
 Section: net
 Priority: extra
-Uploaders: Kapil Hari Paranjape <kapil@debian.org>, Mario Lang <mlang@debian.org>, Gergely Nagy <algernon@balabit.hu>, Samuel Thibault <sthibault@debian.org>
+Uploaders: Kapil Hari Paranjape <kapil@debian.org>,
+ Mario Lang <mlang@debian.org>, Gergely Nagy <algernon@balabit.hu>,
+ Samuel Thibault <sthibault@debian.org>
 Maintainer: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
-Build-Depends: debhelper (>= 7.0.50), libssl-dev (>= 0.9.8b), libpcre3-dev (>= 6.4),
- libcurl4-openssl-dev (>= 7.18.2), libreadline6-dev (>= 6.2-2), libmozjs-dev
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/edbrowse/
-Homepage: http://the-brannons.com/
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libreadline-dev, libpcre3-dev, libssl-dev,
+ libcurl4-openssl-dev, libmozjs185-dev
+Vcs-Svn: svn://anoncsm.debian.org/collab-maint/deb-maint/edbrowse
+Homepage: http://the-brannons.com/edbrowse
+Standards-Version: 3.9.4
 
 Package: edbrowse
 Architecture: any
