=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CPPFLAGS='$(CPPFLAGS) $$(JS_CPPFLAGS)'
	cp doc/man-edbrowse-debian.1 debian/edbrowse.1

override_dh_auto_clean:
	dh_auto_clean
	-rm -r debian/edbrowse.1
