## edbrowse 3.4.10

=== debian/changelog ===
edbrowse (3.4.10-1) unstable; urgency=low

  [ Jean-Philippe Mengual ]
  * debian/control: fixed URL for svn
  * Make Debian-a11y team as maintainer
  * Remove useless CPPFLAGS mangling.

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).
  * patches/hurd: Fix FTBFS on hurd-i386.
  * rules: Define SYSBSD on kfreebsd & hurd to fetch termios.h instead of
    termio.h
  * patches/termio: Fix FTBFS on kfreebsd & hurd.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Aug 2014 00:50:24 +0200
