=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: edbrowse
 Section: net
 Priority: extra
+Maintainer: debian accessibility team <debian-accessibility@lists.debian.org>
 Uploaders: Kapil Hari Paranjape <kapil@debian.org>,
  Mario Lang <mlang@debian.org>, Gergely Nagy <algernon@balabit.hu>,
  Samuel Thibault <sthibault@debian.org>
-Maintainer: Jean-Philippe MENGUAL <texou@accelibreinfo.eu>
 Build-Depends: debhelper (>= 9), libreadline-dev, libpcre3-dev, libssl-dev,
  libcurl4-openssl-dev, libmozjs185-dev
-Vcs-Svn: svn://anoncsm.debian.org/collab-maint/deb-maint/edbrowse
+Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/edbrowse
 Homepage: http://the-brannons.com/edbrowse
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: edbrowse
 Architecture: any
