=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)

ifneq ($(filter kfreebsd hurd,$(DEB_BUILD_ARCH_OS)),)
export CFLAGS=-DSYSBSD
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	cp doc/man-edbrowse-debian.1 debian/edbrowse.1
