## edbrowse 3.5.1

=== debian/changelog ===
edbrowse (3.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Jean-Philippe MENGUAL ]
  * Upstream update.

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.6 (no changes).
  * control: Add libncurses5-dev Build-Depends.

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Sun, 28 Sep 2014 22:41:21 +0200

edbrowse (3.4.10+201404271310-1) unstable; urgency=medium

  * Updated to a snapshot release to test the js fix. (Closes: #723114)

 -- Jean-Philippe MENGUAL <texou@accelibreinfo.eu>  Sat, 23 Aug 2014 00:34:50 +0200
