=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Mario Lang <mlang@debian.org>, Gergely Nagy <algernon@balabit.hu>,
  Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9), libreadline-dev, libpcre3-dev, libssl-dev,
- libcurl4-openssl-dev, libmozjs185-dev
+ libcurl4-openssl-dev, libmozjs-24-dev, libncurses5-dev
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/edbrowse
 Homepage: http://the-brannons.com/edbrowse
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: edbrowse
 Architecture: any
