=== debian/watch ===
version=3
http://the-brannons.com/edbrowse/ \
	http://the-brannons.com/edbrowse/edbrowse-(\d[\d.]*).zip
