## edbrowse 3.6.0.1

=== debian/changelog ===
edbrowse (3.6.0.1-1) unstable; urgency=medium

  * New upstream release
    - patches/ebrc-fr: Merged uptsream.
    - patches/fix_privacy-breach-generic_on_obsolete_icon.patch: Merged
    upstream.
    - debian/install: Drop, upstream now installs binaries.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 29 Dec 2015 18:20:37 +0100

edbrowse (3.6.0-1) unstable; urgency=medium

  * New upstream release
    - control: Add cmake and libtidy-dev build-depend.
    - patches/nomake: Drop upstream makefile, so dh_auto_build picks up
    - patches/tidy: Fix detection of libtidy.
    - patches/ebrc-fr: Fix sample ebrc format.
    - docs: Drop installing philosophy*, removed upstream.
    - examples: Drop installing setup.ebrc, removed upstream.
    building with cmake.
    - rules: Export path to libtidy.
  * patches/ssl_certs: Set path to Debian certificates file by default
    (Closes: #646802)
  * watch: Add gpg signature mangling to main site URL too.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 26 Dec 2015 19:14:12 +0100

edbrowse (3.5.4.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - patches/fix_url_in_manpage.patch: Merged upstream.
    - patches/fix_privacy-breach-generic_on_obsolete_icon.patch: Refresh.
  * Fix Homepage URL.
  * Fix watch file.

  [ Mario Lang ]
  * Remove myself from Uploaders and update Homepage field.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Oct 2015 21:41:01 +0100

edbrowse (3.5.3-2) unstable; urgency=medium

  * install: Include edbrowse-js too for JavaScript support (Closes: #788874)
  * watch: Generalize URL.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 15 Jun 2015 22:19:32 +0200

edbrowse (3.5.3-1) unstable; urgency=medium

  * Team upload to unstable
  * New upstream
    - Update date in d/copyright
  * Update manpage (Closes: #570054)

 -- Paul Gevers <elbrus@debian.org>  Fri, 01 May 2015 13:08:19 +0200

edbrowse (3.5.2-1) experimental; urgency=medium

  * Team upload

  [ Jean-Philippe MENGUAL ]
  * Updated from upstream.

  [ Samuel Thibault ]
  * Remove Kapil from uploaders. (Closes: #738477)

  [ Paul Gevers ]
  * Add upstream signature to watch file
  * Add patch to strip non-existing off-site icon from help documentation
    (thanks lintian)

 -- Paul Gevers <elbrus@debian.org>  Sun, 14 Dec 2014 14:10:50 +0100
