=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: edbrowse
 Section: net
 Priority: extra
-Maintainer: debian accessibility team <debian-accessibility@lists.debian.org>
-Uploaders: Kapil Hari Paranjape <kapil@debian.org>,
- Mario Lang <mlang@debian.org>, Gergely Nagy <algernon@balabit.hu>,
- Samuel Thibault <sthibault@debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Uploaders: Gergely Nagy <algernon@balabit.hu>,
+           Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9), libreadline-dev, libpcre3-dev, libssl-dev,
- libcurl4-openssl-dev, libmozjs-24-dev, libncurses5-dev
+ libcurl4-openssl-dev, libmozjs-24-dev, libncurses5-dev, libtidy-dev, cmake
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/edbrowse
-Homepage: http://the-brannons.com/edbrowse
+Homepage: http://edbrowse.org/
 Standards-Version: 3.9.6
 
 Package: edbrowse
