=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	cp doc/man-edbrowse-debian.1 debian/edbrowse.1
