=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
http://the-brannons.com/edbrowse/ \
	http://the-brannons.com/edbrowse/edbrowse-(\d[\d.]*).(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
opts=pgpsigurlmangle=s/$/.sig/ \
http://edbrowse.org/ edbrowse-([\d.]*).(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
