## edbrowse 3.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -127,7 +127,7 @@
     include_directories( ${MOZJS_INCLUDE_DIR} )
     list( APPEND add_LIBS ${MOZJS_LIBRARY} )
 else ()
-    message( STATUS "*** MOZJS NOT FOUND, No edbrowse-js build")
+    message( FATAL_ERROR "*** MOZJS NOT FOUND, unable to proceed")
 endif ()
 
 if (WIN32 AND MOZJS_FOUND)
@@ -157,8 +157,7 @@
             message( FATAL_ERROR "*** Thread libray NOT FOUND!" )
         endif()
     else ()
-        message( STATUS "*** Threads NOT FOUND, No edbrowse-js build")
-        set(MOZJS_FOUND)
+        message( FATAL "*** Threads NOT FOUNDunable to proceed")
     endif ()
 endif ()
 
@@ -189,7 +188,7 @@
 
 # LDLIBS = -lpcre -lcurl -lreadline -lncurses -ltidy
 #  edbrowse objects
-#EBOBJS = main.o buffers.o url.o auth.o http.o sendmail.o fetchmail.o \
+#EBOBJS = main.o buffers.o url.o sendmail.o fetchmail.o \
 #	html.o format.o cookies.o stringfile.o messages.o ebjs.o plugin.o
 #  Header file dependencies.
 #$(EBOBJS) : eb.h ebprot.h messages.h ebjs.h
@@ -226,24 +225,14 @@
 endif ()
 
 ###########################################################
-### edbr static libraro of shared source
-set(name edbr-lib)
-set(dir src)
-set(${name}_SRCS
-    ${dir}/messages.c
-    ${dir}/url.c
-    ${dir}/stringfile.c
-    ${dir}/html-tidy.c
-    ${dir}/decorate.c
-    ${GEN_SOURCES}
-    )
-if (MSVC)
-    list(APPEND ${name}_SRCS win32/vsprtf.c win32/dirent.c)
-    list(APPEND ${name}_HDRS win32/vsprtf.h win32/dirent.h)
-    include_directories( win32 )
-endif ()
-add_library( ${name} ${${name}_SRCS} )
-set(add_LIBS ${name} ${add_LIBS})
+### edbr static library of shared source - not currently used.
+#  set(name edbr-lib)
+#  set(dir src)
+#  set(${name}_SRCS
+#      ${dir}/foo.c
+#      )
+#  add_library( ${name} ${${name}_SRCS} )
+#  set(add_LIBS ${name} ${add_LIBS})
 
 #######################################################
 ### main edbrowse app
@@ -270,16 +259,23 @@
 set(${name}_SRCS
     ${dir}/main.c
     ${dir}/buffers.c
-    ${dir}/auth.c
-    ${dir}/http.c
     ${dir}/sendmail.c
     ${dir}/fetchmail.c
+    ${dir}/messages.c
+    ${dir}/url.c
+    ${dir}/stringfile.c
+    ${dir}/html-tidy.c
+    ${dir}/decorate.c
+    ${dir}/http.c
+    ${dir}/auth.c
 	${dir}/html.c
     ${dir}/format.c
     ${dir}/cookies.c
     ${dir}/ebjs.c
     ${dir}/plugin.c
+    ${dir}/jseng-moz.cpp
     ${ODBC_SRCS}
+    ${GEN_SOURCES}
     )
 set(${name}_HDRS
     ${dir}/eb.h
@@ -287,6 +283,11 @@
     ${dir}/messages.h
     ${dir}/ebjs.h
     )
+if (MSVC)
+    list(APPEND ${name}_SRCS win32/vsprtf.c win32/dirent.c)
+    list(APPEND ${name}_HDRS win32/vsprtf.h win32/dirent.h)
+    include_directories( win32 )
+endif ()
 add_executable( ${name} ${${name}_SRCS} ${${name}_HDRS} )
 if (add_LIBS OR extra_LIBS)
     target_link_libraries( ${name} ${add_LIBS} ${extra_LIBS} )
@@ -296,18 +297,4 @@
 endif ()
 install(TARGETS ${name} DESTINATION bin)
 
-if (MOZJS_FOUND)
-    set(name edbrowse-js)
-    set(dir src)
-    set(${name}_SRCS
-        ${dir}/jseng-moz.cpp
-        )
-    add_executable( ${name} ${${name}_SRCS} )
-    target_link_libraries( ${name} ${add_LIBS} ${extra_LIBS} )
-    if (MSVC)
-        set_target_properties( ${name} PROPERTIES DEBUG_POSTFIX d )
-    endif ()
-    install(TARGETS ${name} DESTINATION bin)
-endif ()
-
 # eof
