=== debian/changelog ===
edbrowse (3.6.1-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 11:59:48 +0000

edbrowse (3.6.1-1) unstable; urgency=medium

  * New upstream release (Closes: #825948)
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Jul 2016 02:15:41 +0200
