=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libcurl4-openssl-dev, libmozjs-24-dev, libncurses5-dev, libtidy-dev, cmake
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/edbrowse
 Homepage: http://edbrowse.org/
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: edbrowse
 Architecture: any
