## edbrowse 3.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 
 # ### NOTE: from sersguide.htm
 set( eb_MAJOR 3 )
-set( eb_MINOR 5 )
-set( eb_POINT 1 )
+set( eb_MINOR 6 )
+set( eb_POINT 3 )
 
 # Allow developer to select is Dynamic or static library built
 set( LIB_TYPE STATIC )  # set default static
@@ -36,10 +36,16 @@
         # C4101: 'idx' : unreferenced local variable
         # C4018: '>' : signed/unsigned mismatch
         # C4800: 'JSBool' : forcing value to bool
-        foreach(warning 4244 4101 4090 4018 4800)
+        # warning C4267: '=': conversion from 'size_t' to 'int', possible loss of data
+        foreach(warning 4244 4101 4090 4018 4800 4267)
             set(WARNING_FLAGS "${WARNING_FLAGS} /wd${warning}")
         endforeach()
         set( MSVC_FLAGS "-DNOMINMAX -D_USE_MATH_DEFINES -D_CRT_SECURE_NO_WARNINGS -D_SCL_SECURE_NO_WARNINGS -D__CRT_NONSTDC_NO_WARNINGS" )
+        # tesing MSVC version - horrible kludge
+        if (${MSVC_VERSION} EQUAL 1900)
+            message(STATUS "*** MSVC version equals 1900 - adding HAVE_STRUCT_TIMESPEC")
+            set( MSVC_FLAGS "${MSVC_FLAGS} -DHAVE_STRUCT_TIMESPEC")
+        endif ()
         # if (${MSVC_VERSION} EQUAL 1600)
         #    set( MSVC_LD_FLAGS "/FORCE:MULTIPLE" )
         # endif (${MSVC_VERSION} EQUAL 1600)
@@ -271,6 +277,7 @@
 	${dir}/html.c
     ${dir}/format.c
     ${dir}/cookies.c
+    ${dir}/cache.c
     ${dir}/ebjs.c
     ${dir}/plugin.c
     ${dir}/jseng-moz.cpp
