=== debian/changelog ===
edbrowse (3.6.3-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Update maintainer mailing list.

  [ Paul Gevers ]
  * Team upload
  * New upstream release
  * Add fix-spelling-errors.patch
  * Enable hardening

 -- Paul Gevers <elbrus@debian.org>  Sat, 15 Jul 2017 21:16:42 +0200
