=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: edbrowse
 Section: net
 Priority: extra
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Gergely Nagy <algernon@balabit.hu>,
            Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 9), libreadline-dev, libpcre3-dev, libssl-dev,
