=== debian/changelog ===
edbrowse (3.7.2-1) unstable; urgency=medium

  * New upstream release
  * Minor changes to the packaging

 -- Paul Gevers <elbrus@debian.org>  Tue, 27 Feb 2018 09:00:29 +0100

edbrowse (3.7.1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

  [ Paul Gevers ]
  * New upstream release (Closes: #875706)
  * Drop fix-spelling-errors.patch (applied upstream)
  * Upstream migrated from libmozjs to duktape
  * Convert packaging from SVN to GIT and move to a11y archive

 -- Paul Gevers <elbrus@debian.org>  Fri, 27 Oct 2017 12:52:02 +0200
