=== debian/watch ===
version=4
https://github.com/CMB/edbrowse/releases .*/v?([\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
